Bug 102907 - Versioning doesn't support link attributes
Summary: Versioning doesn't support link attributes
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 108447
TreeView+ depends on / blocked
 
Reported: 2003-08-22 15:03 UTC by Daniel Berrange
Modified: 2007-04-18 16:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 17:22:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2003-08-22 15:03:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
To quote from an email thread between myself & Vadim:

Vadim Wrote:
>
> Dan Wrote:
>
> > Introducing intermediate objects instead of using
> > link attributes in not an acceptable solution - we've 
> > just managed to get away from this nasty hack in 
> > Versioning, & I don't want to have to re-introduce it.
>
> As for versioning, we haven't gotten away from the nasty hack
> yet.  It's possible to support link attributes in versioning, but
> we don't yet.

In some cases (ie where you have control over the object model) it is possible
introduce intermediate objects to get around the lack of link attribute
versioning, however, there are many cases where this is not possible.

For example, the FormBuilder object model uses link attributes for maintaining
ordering of components. The Form content type then links to Formbuilder objects,
causing them to become versioned. If versioning doesn't support link attributes,
then changes in the ordering of controls will not be revertable, & i fear
'undelete' will not work correctly.


Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
I haven't confirmed the lack of link attribute support myself, but Vadim informs
me it isn't currently supported.


Additional info:

Comment 1 Daniel Berrange 2006-09-02 17:22:33 UTC
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.